FruxonDocs
ApiAudit log

Gets one audit event.

Returns a single event with its principal resolved for display. 404 when the event does not exist, or when the workspace's plan does not include the audit log and the event is not a Fruxon staff access. Requires the `audit:read` scope.

GET
/v1/tenants/{tenant}/auditEvents/{auditEvent}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

auditEvent*string

The event id.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/auditEvents/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "createdAt": 0,
  "principal": {
    "type": "USER",
    "userId": "string",
    "displayName": "string",
    "email": "string",
    "tokenId": "00000000-0000-0000-0000-000000000000",
    "tokenName": "string",
    "serviceAccountId": "00000000-0000-0000-0000-000000000000",
    "serviceAccountName": "string",
    "actor": "string"
  },
  "clientIp": "string",
  "userAgent": "string",
  "traceId": "string",
  "action": "string",
  "category": "WRITE",
  "resourceType": "string",
  "resourceId": "string",
  "parentResourceId": "string",
  "changedFields": [
    "string"
  ],
  "outcome": "SUCCEEDED",
  "statusCode": 0,
  "attemptEventId": "00000000-0000-0000-0000-000000000000",
  "sourceLedger": "string",
  "sourceEventId": "00000000-0000-0000-0000-000000000000"
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}